Skip to main content
Publish one or more artifacts from the workspace given by the X-Workspace-Id header or workspaceId query parameter, all-or-nothing

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Headers

X-Workspace-Id
string
required

Scopes this request to the given workspace. Takes priority over the workspaceId query parameter. When omitted, falls back to account scope.

Body

application/vnd.composer.v3+json

Publish one or more workspace artifacts, all-or-nothing

artifacts
object[]

Response

OK

Result of an all-or-nothing publish batch

status
enum<string>

Outcome of the overall publish batch

Available options:
PUBLISHED,
FAILED
workspaceStatus
enum<string>
Available options:
OPEN,
PUBLISHED
publishedAt
string<date-time>
publishedBy
string
account
string
results
object[]